package com.quantgroup.asset.distribution.service.route;

import com.quantgroup.asset.distribution.model.entity.route.whitelist.WhiteListQueryVo;
import com.quantgroup.asset.distribution.model.entity.route.whitelist.WhiteListSaveVo;
import com.quantgroup.asset.distribution.model.response.GlobalResponse;
import com.quantgroup.asset.distribution.util.AllRecords;

public interface IWhiteListService {
    AllRecords queryPage(WhiteListQueryVo whiteListQueryVo);

    GlobalResponse updateStatus(Long id, Byte status);

    GlobalResponse save(WhiteListSaveVo whiteListSaveVo);
}
